Salesforce Commerce Cloud 로그 수집
이 문서에서는 Google Cloud Storage V2를 사용하여 Salesforce Commerce Cloud 로그를 Google Security Operations에 수집하는 방법을 설명합니다.
Salesforce Commerce Cloud는 거래, 액세스, 보안 감사 로그를 생성하는 이커머스 플랫폼입니다. Cloud Run 함수는 일정에 따라 Salesforce Commerce Cloud WebDAV 엔드포인트에 연결하고, 로그 파일을 다운로드하고, NDJSON 형식으로 GCS 버킷에 작성하며, Google SecOps는 GCS V2 피드를 통해 이를 수집합니다.
시작하기 전에
다음 기본 요건이 충족되었는지 확인합니다.
- Google SecOps 인스턴스
- Cloud Storage API가 사용 설정된 GCP 프로젝트
- GCS 버킷을 만들고 관리할 수 있는 권한
- GCS 버킷의 IAM 정책을 관리할 수 있는 권한
- Cloud Run 서비스, Pub/Sub 주제, Cloud Scheduler 작업을 만들 수 있는 권한
- WebDAV 액세스 권한이 있는 Salesforce Commerce Cloud Business Manager에 대한 권한 있는 액세스
Google Cloud Storage 버킷 만들기
- Google Cloud 콘솔로 이동합니다.
- 프로젝트를 선택하거나 새 프로젝트를 만듭니다.
- 탐색 메뉴에서 Cloud Storage > 버킷으로 이동합니다.
- 버킷 만들기를 클릭합니다.
다음 구성 세부정보를 제공합니다.
설정 값 버킷 이름 지정 전역적으로 고유한 이름 (예: sfcc-logs)을 입력합니다.위치 유형 필요에 따라 선택 (리전, 이중 리전, 멀티 리전) 위치 위치를 선택합니다 (예: us-central1).스토리지 클래스 Standard (자주 액세스하는 로그에 권장) 액세스 제어 균일 (권장) 보호 조치 선택사항: 객체 버전 관리 또는 보관 정책 사용 설정 만들기를 클릭합니다.
Salesforce Commerce Cloud 사용자 인증 정보 수집
WebDAV 액세스 구성
- Salesforce Commerce Cloud 인스턴스의 비즈니스 관리자에 로그인합니다.
- 관리 > 조직 > 역할 및 권한으로 이동합니다.
- 사용자 계정에 WebDAV 파일 액세스 권한이 사용 설정되어 있는지 확인합니다.
- SFCC 인스턴스 호스트 이름 (예:
development-yoursite-dw.demandware.net)을 기록합니다. 다음 사용자 인증 정보를 안전한 위치에 저장합니다.
- SFCC 호스트: 인스턴스 호스트 이름 (예:
development-yoursite-dw.demandware.net)입니다. - 사용자 이름: 비즈니스 관리자 사용자 이름입니다.
- 비밀번호: 비즈니스 관리자 비밀번호입니다.
- SFCC 호스트: 인스턴스 호스트 이름 (예:
권한 확인
계정에 필요한 권한이 있는지 확인하려면 다음 안내를 따르세요.
- Salesforce Commerce Cloud 인스턴스의 비즈니스 관리자에 로그인합니다.
- 관리 > 사이트 개발 > 개발 설정으로 이동합니다.
- WebDAV 섹션에서 로그 파일을 클릭합니다.
- 로그 파일 디렉터리가 표시되면 필요한 권한이 있는 것입니다.
- 이 옵션이 표시되지 않으면 SFCC 관리자에게 문의하여 WebDAV 액세스 권한을 부여하세요.
API 액세스 테스트
통합을 진행하기 전에 사용자 인증 정보를 테스트합니다.
# Replace with your actual credentials SFCC_HOST="development-yoursite-dw.demandware.net" USERNAME="your-username" PASSWORD="your-password" # Test WebDAV access to log directory curl -v -u "${USERNAME}:${PASSWORD}" \ "https://${SFCC_HOST}/on/demandware.servlet/webdav/Sites/Logs/"
Cloud Run 함수의 서비스 계정 만들기
Cloud Run 함수에는 GCS 버킷에 쓰고 Pub/Sub에서 호출할 수 있는 권한이 있는 서비스 계정이 필요합니다.
서비스 계정 만들기
- GCP 콘솔에서 IAM 및 관리자 > 서비스 계정으로 이동합니다.
- 서비스 계정 만들기를 클릭합니다.
- 다음 구성 세부정보를 제공합니다.
- 서비스 계정 이름:
sfcc-logs-collector-sa을 입력합니다. - 서비스 계정 설명:
Service account for Cloud Run function to collect Salesforce Commerce Cloud logs을 입력합니다.
- 서비스 계정 이름:
- 만들고 계속하기를 클릭합니다.
- 이 서비스 계정에 프로젝트에 대한 액세스 권한 부여 섹션에서 다음 역할을 추가합니다.
- 역할 선택을 클릭합니다.
- 스토리지 객체 관리자를 검색하여 선택합니다.
- + 다른 역할 추가를 클릭합니다.
- Cloud Run 호출자를 검색하여 선택합니다.
- + 다른 역할 추가를 클릭합니다.
- Cloud Functions 호출자를 검색하여 선택합니다.
- 계속을 클릭합니다.
- 완료를 클릭합니다.
이러한 역할은 다음 작업에 필요합니다.
- 스토리지 객체 관리자: GCS 버킷에 로그를 쓰고 상태 파일을 관리합니다.
- Cloud Run 호출자: Pub/Sub에서 함수를 호출하도록 허용
- Cloud Functions 호출자: 함수 호출 허용
GCS 버킷에 대한 IAM 권한 부여
GCS 버킷에 대한 쓰기 권한을 서비스 계정에 부여합니다.
- Cloud Storage > 버킷으로 이동합니다.
- 버킷 이름 (예:
sfcc-logs)을 클릭합니다. - 권한 탭으로 이동합니다.
- 액세스 권한 부여를 클릭합니다.
- 다음 구성 세부정보를 제공합니다.
- 주 구성원 추가: 서비스 계정 이메일 (예:
sfcc-logs-collector-sa@your-project.iam.gserviceaccount.com)을 입력합니다. - 역할 할당: 스토리지 객체 관리자를 선택합니다.
- 주 구성원 추가: 서비스 계정 이메일 (예:
- 저장을 클릭합니다.
Pub/Sub 주제 만들기
Cloud Scheduler가 게시하고 Cloud Run 함수가 구독할 Pub/Sub 주제를 만듭니다.
- GCP Console에서 Pub/Sub > 주제로 이동합니다.
- 주제 만들기를 클릭합니다.
- 다음 구성 세부정보를 제공합니다.
- 주제 ID:
sfcc-logs-trigger를 입력합니다. - 다른 설정은 기본값으로 둡니다.
- 주제 ID:
- 만들기를 클릭합니다.
로그를 수집하는 Cloud Run 함수 만들기
Cloud Run 함수는 Cloud Scheduler의 Pub/Sub 메시지에 의해 트리거되어 Salesforce Commerce Cloud WebDAV에서 로그를 가져와 GCS에 기록합니다.
- GCP 콘솔에서 Cloud Run으로 이동합니다.
- 서비스 만들기를 클릭합니다.
- 함수를 선택합니다 (인라인 편집기를 사용하여 함수 만들기).
구성 섹션에서 다음 구성 세부정보를 입력합니다.
설정 값 서비스 이름 sfcc-logs-collector리전 GCS 버킷과 일치하는 리전을 선택합니다 (예: us-central1).런타임 Python 3.12 이상 선택 트리거 (선택사항) 섹션에서 다음을 수행합니다.
- + 트리거 추가를 클릭합니다.
- Cloud Pub/Sub를 선택합니다.
- Cloud Pub/Sub 주제 선택에서
sfcc-logs-trigger주제를 선택합니다. - 저장을 클릭합니다.
인증 섹션에서 다음을 구성합니다.
- 인증 필요를 선택합니다.
- ID 및 액세스 관리 (IAM)를 확인합니다.
아래로 스크롤하고 컨테이너, 네트워킹, 보안을 펼칩니다.
보안 탭으로 이동합니다.
- 서비스 계정: 서비스 계정
sfcc-logs-collector-sa를 선택합니다.
- 서비스 계정: 서비스 계정
컨테이너 탭으로 이동합니다.
- 변수 및 보안 비밀을 클릭합니다.
- 각 환경 변수에 대해 + 변수 추가를 클릭합니다.
변수 이름 예시 값 설명 GCS_BUCKETsfcc-logsGCS 버킷 이름 GCS_PREFIXsfcc로그 파일의 접두사 STATE_KEYsfcc/state.json상태 파일 경로 SFCC_HOSTdevelopment-yoursite-dw.demandware.netSFCC 인스턴스 호스트 이름 SFCC_USERNAMEyour-username비즈니스 관리자 사용자 이름 SFCC_PASSWORDyour-password비즈니스 관리자 비밀번호 LOG_DIRSsecurity,error,warn,customerror쉼표로 구분된 로그 디렉터리 LOOKBACK_HOURS24초기 전환 확인 기간 변수 및 보안 비밀 탭에서 요청까지 아래로 스크롤합니다.
- 요청 제한 시간:
600초 (10분)를 입력합니다.
- 요청 제한 시간:
컨테이너의 설정 탭으로 이동합니다.
- 리소스 섹션에서 다음을 수행합니다.
- 메모리: 512MiB 이상을 선택합니다.
- CPU: 1을 선택합니다.
- 완료를 클릭합니다.
- 리소스 섹션에서 다음을 수행합니다.
실행 환경까지 아래로 스크롤합니다.
- 기본값 (권장)을 선택합니다.
버전 확장 섹션에서 다음을 수행합니다.
- 최소 인스턴스 수:
0를 입력합니다. - 최대 인스턴스 수:
100을 입력합니다 (또는 예상 부하에 따라 조정).
- 최소 인스턴스 수:
만들기를 클릭합니다.
서비스가 생성될 때까지 기다립니다 (1~2분).
서비스가 생성되면 인라인 코드 편집기가 자동으로 열립니다.
함수 코드 추가
- 함수 진입점에 main을 입력합니다.
인라인 코드 편집기에서 다음 두 파일을 만듭니다.
첫 번째 파일 - main.py:
import functions_framework from google.cloud import storage import json import os import urllib3 from datetime import datetime, timezone, timedelta import time import base64 import re # Initialize HTTP client with timeouts http = urllib3.PoolManager( timeout=urllib3.Timeout(connect=10.0, read=60.0), retries=False, ) # Initialize Storage client storage_client = storage.Client() # Environment variables GCS_BUCKET = os.environ.get('GCS_BUCKET') GCS_PREFIX = os.environ.get('GCS_PREFIX', 'sfcc') STATE_KEY = os.environ.get('STATE_KEY', 'sfcc/state.json') SFCC_HOST = os.environ.get('SFCC_HOST') SFCC_USERNAME = os.environ.get('SFCC_USERNAME') SFCC_PASSWORD = os.environ.get('SFCC_PASSWORD') LOG_DIRS = [d.strip() for d in os.environ.get('LOG_DIRS', 'security,error,warn,customerror').split(',') if d.strip()] LOOKBACK_HOURS = int(os.environ.get('LOOKBACK_HOURS', '24')) def parse_datetime(value: str) -> datetime: """Parse ISO datetime string to datetime object.""" if value.endswith("Z"): value = value[:-1] + "+00:00" return datetime.fromisoformat(value) @functions_framework.cloud_event def main(cloud_event): """ Cloud Run function triggered by Pub/Sub to fetch Salesforce Commerce Cloud logs via WebDAV and write to GCS. Args: cloud_event: CloudEvent object containing Pub/Sub message """ if not all([GCS_BUCKET, SFCC_HOST, SFCC_USERNAME, SFCC_PASSWORD]): print('Error: Missing required environment variables') return try: bucket = storage_client.bucket(GCS_BUCKET) # Load state state = load_state(bucket, STATE_KEY) now = datetime.now(timezone.utc) last_time = None if isinstance(state, dict) and state.get("last_event_time"): try: last_time = parse_datetime(state["last_event_time"]) except Exception as e: print(f"Warning: Could not parse last_event_time: {e}") if last_time is None: last_time = now - timedelta(hours=LOOKBACK_HOURS) print(f"Fetching logs since {last_time.isoformat()}") # Build auth header credentials = f"{SFCC_USERNAME}:{SFCC_PASSWORD}" encoded_credentials = base64.b64encode(credentials.encode('utf-8')).decode('utf-8') headers = { 'Authorization': f'Basic {encoded_credentials}', 'User-Agent': 'GoogleSecOps-SFCCCollector/1.0' } total_files = 0 webdav_base = f"https://{SFCC_HOST}/on/demandware.servlet/webdav/Sites/Logs" for log_dir in LOG_DIRS: print(f"Processing log directory: {log_dir}") files_processed = fetch_and_upload_logs( bucket=bucket, webdav_base=webdav_base, log_dir=log_dir, headers=headers, since=last_time, now=now, ) total_files += files_processed if total_files == 0: print("No new log files found.") else: print(f"Successfully processed {total_files} log files") save_state(bucket, STATE_KEY, now.isoformat()) except Exception as e: print(f'Error processing logs: {str(e)}') raise def load_state(bucket, key): """Load state from GCS.""" try: blob = bucket.blob(key) if blob.exists(): state_data = blob.download_as_text() return json.loads(state_data) except Exception as e: print(f"Warning: Could not load state: {e}") return {} def save_state(bucket, key, last_event_time_iso: str): """Save the last event timestamp to GCS state file.""" try: state = {'last_event_time': last_event_time_iso} blob = bucket.blob(key) blob.upload_from_string( json.dumps(state, indent=2), content_type='application/json' ) print(f"Saved state: last_event_time={last_event_time_iso}") except Exception as e: print(f"Warning: Could not save state: {e}") def list_webdav_files(webdav_url: str, headers: dict): """List files in a WebDAV directory using PROPFIND.""" backoff = 1.0 max_retries = 3 for attempt in range(max_retries): response = http.request('PROPFIND', webdav_url, headers={**headers, 'Depth': '1'}) if response.status == 429: retry_after = int(response.headers.get('Retry-After', str(int(backoff)))) print(f"Rate limited (429). Retrying after {retry_after}s...") time.sleep(retry_after) backoff = min(backoff * 2, 30.0) continue if response.status not in (200, 207): print(f"HTTP Error listing {webdav_url}: {response.status}") return [] content = response.data.decode('utf-8') # Parse file names from WebDAV PROPFIND XML response files = re.findall(r'<D:href>([^<]+)</D:href>', content) return [f for f in files if not f.endswith('/')] return [] def fetch_and_upload_logs(bucket, webdav_base: str, log_dir: str, headers: dict, since: datetime, now: datetime): """ Fetch log files from a WebDAV directory and upload to GCS. Args: bucket: GCS bucket object webdav_base: WebDAV base URL log_dir: Log directory name headers: HTTP headers with auth since: Only process files newer than this now: Current time for file naming Returns: Number of files processed """ dir_url = f"{webdav_base}/{log_dir}/" files = list_webdav_files(dir_url, headers) files_processed = 0 backoff = 1.0 for file_path in files: file_name = file_path.split('/')[-1] if not file_name: continue # Download file file_url = f"https://{SFCC_HOST}{file_path}" response = http.request('GET', file_url, headers=headers) if response.status == 429: retry_after = int(response.headers.get('Retry-After', str(int(backoff)))) print(f"Rate limited (429). Retrying after {retry_after}s...") time.sleep(retry_after) backoff = min(backoff * 2, 30.0) response = http.request('GET', file_url, headers=headers) if response.status != 200: print(f"Error downloading {file_name}: {response.status}") continue backoff = 1.0 content = response.data if not content: continue # Upload to GCS timestamp = now.strftime('%Y%m%d_%H%M%S') object_key = f"{GCS_PREFIX}/{log_dir}/{file_name}_{timestamp}" blob = bucket.blob(object_key) # Convert log lines to NDJSON lines = content.decode('utf-8', errors='replace').splitlines() records = [] for line in lines: line = line.strip() if line: try: record = json.loads(line) except json.JSONDecodeError: record = {'raw_log': line, 'log_dir': log_dir, 'source_file': file_name} records.append(record) if records: ndjson = '\n'.join([json.dumps(r, ensure_ascii=False) for r in records]) + '\n' blob.upload_from_string(ndjson, content_type='application/x-ndjson') print(f"Uploaded {len(records)} records from {file_name} to gs://{GCS_BUCKET}/{object_key}") files_processed += 1 return files_processed두 번째 파일 - requirements.txt:
functions-framework==3.* google-cloud-storage==2.* urllib3>=2.0.0
배포를 클릭하여 함수를 저장하고 배포합니다.
배포가 완료될 때까지 기다립니다 (2~3분).
Cloud Scheduler 작업 만들기
Cloud Scheduler는 일정 간격으로 Pub/Sub 주제에 메시지를 게시하여 Cloud Run 함수를 트리거합니다.
- GCP Console에서 Cloud Scheduler로 이동합니다.
- 작업 만들기를 클릭합니다.
다음 구성 세부정보를 제공합니다.
설정 값 이름 sfcc-logs-collector-hourly리전 Cloud Run 함수와 동일한 리전 선택 주파수 0 * * * *(매시간 정각)시간대 시간대 선택 (UTC 권장) 타겟 유형 Pub/Sub 주제 sfcc-logs-trigger주제를 선택합니다.메일 본문 {}(빈 JSON 객체)만들기를 클릭합니다.
일정 빈도 옵션
로그 볼륨 및 지연 시간 요구사항에 따라 빈도를 선택합니다.
| 빈도 | 크론 표현식 | 사용 사례 |
|---|---|---|
| 5분마다 | */5 * * * * |
대용량, 저지연 |
| 15분마다 | */15 * * * * |
검색량 보통 |
| 1시간마다 | 0 * * * * |
표준 (권장) |
| 6시간마다 | 0 */6 * * * |
적은 볼륨, 일괄 처리 |
| 매일 | 0 0 * * * |
이전 데이터 수집 |
통합 테스트
- Cloud Scheduler 콘솔에서 작업 (
sfcc-logs-collector-hourly)을 찾습니다. - 강제 실행을 클릭하여 수동으로 트리거합니다.
- 몇 초 기다린 후 Cloud Run > 서비스 > sfcc-logs-collector > 로그로 이동합니다.
함수가 성공적으로 실행되었는지 확인합니다. 다음 항목을 찾습니다.
Fetching logs since YYYY-MM-DDTHH:MM:SS+00:00 Processing log directory: security Uploaded X records from filename.log to gs://sfcc-logs/sfcc/security/filename.log_YYYYMMDD_HHMMSS Successfully processed X log filesGCS 버킷 (
sfcc-logs)을 확인하여 로그가 작성되었는지 확인합니다.
로그에 오류가 표시되는 경우:
- HTTP 401: 환경 변수에서 SFCC 사용자 인증 정보 확인
- HTTP 403: 계정에 비즈니스 관리자의 WebDAV 파일 액세스 권한이 있는지 확인
- HTTP 429: 비율 제한 - 함수가 백오프를 사용하여 자동으로 재시도합니다.
- 환경 변수 누락: 필요한 모든 변수가 설정되어 있는지 확인합니다.
Salesforce Commerce Cloud 로그를 수집하도록 Google SecOps에서 피드 구성
- SIEM 설정 > 피드로 이동합니다.
- 새 피드 추가를 클릭합니다.
- 단일 피드 구성을 클릭합니다.
- 피드 이름 필드에 피드 이름을 입력합니다(예:
Salesforce Commerce Cloud Logs). - 소스 유형으로 Google Cloud Storage V2를 선택합니다.
- 로그 유형으로 Salesforce Commerce Cloud를 선택합니다.
서비스 계정 가져오기를 클릭합니다. 고유한 서비스 계정 이메일이 표시됩니다. 예를 들면 다음과 같습니다.
chronicle-12345678@chronicle-gcp-prod.iam.gserviceaccount.com이 이메일 주소를 복사합니다. 다음 단계에서 사용합니다.
다음을 클릭합니다.
다음 입력 매개변수의 값을 지정합니다.
스토리지 버킷 URL: 다음 접두사 경로를 사용하여 GCS 버킷 URI를 입력합니다.
gs://sfcc-logs/sfcc/- 다음과 같이 바꿉니다.
sfcc-logs: GCS 버킷 이름입니다.sfcc/: 로그가 저장된 접두사/폴더 경로입니다.
- 다음과 같이 바꿉니다.
소스 삭제 옵션: 환경설정에 따라 삭제 옵션을 선택합니다.
- 삭제 안함: 전송 후 파일을 삭제하지 않습니다 (테스트에 권장).
- 전송된 파일 삭제: 전송이 완료되면 파일을 삭제합니다.
전송된 파일 및 빈 디렉터리 삭제: 전송이 완료되면 파일과 빈 디렉터리를 삭제합니다.
최대 파일 기간: 지난 일수 동안 수정된 파일을 포함합니다 (기본값은 180일).
애셋 네임스페이스: 애셋 네임스페이스입니다.
수집 라벨: 이 피드의 이벤트에 적용할 라벨입니다.
다음을 클릭합니다.
확정 화면에서 새 피드 구성을 검토한 다음 제출을 클릭합니다.
Google SecOps 서비스 계정에 IAM 권한 부여
Google SecOps 서비스 계정에는 GCS 버킷에 대한 스토리지 객체 뷰어 역할이 필요합니다.
- Cloud Storage> 버킷으로 이동합니다.
- 버킷 이름 (
sfcc-logs)을 클릭합니다. - 권한 탭으로 이동합니다.
- 액세스 권한 부여를 클릭합니다.
- 다음 구성 세부정보를 제공합니다.
- 주 구성원 추가: Google SecOps 서비스 계정 이메일을 붙여넣습니다.
- 역할 할당: 스토리지 객체 뷰어를 선택합니다.
저장을 클릭합니다.
UDM 매핑 테이블
| 로그 필드 | UDM 매핑 | 로직 |
|---|---|---|
auth.mechanism |
extensions.auth.mechanism |
병합됨 |
csv_format |
extensions.auth.mechanism |
매핑됨: false → auth.mechanism |
event_id |
extensions.auth.mechanism |
매핑됨: Login: Success → auth.mechanism |
mechanism |
extensions.auth.mechanism |
병합됨 |
LoginType |
extensions.auth.type |
매핑됨: Application → AUTHTYPE_UNSPECIFIED |
csv_format |
extensions.auth.type |
매핑됨: false → AUTHTYPE_UNSPECIFIED |
event_id |
extensions.auth.type |
매핑된 값 (총 6개, 예: ` "Login", "LoginAsEvent", "IdentityVerificationEvent", "LoginE… |
eventType.name |
metadata.description |
직접 매핑됨 |
metadata_description |
metadata.description |
직접 매핑됨 |
collected_timestamp |
metadata.event_timestamp |
yyyyMMddHHmmss(으)로 파싱됨 |
createdAt |
metadata.event_timestamp |
UNIX_MS로 파싱됨 |
createdDate |
metadata.event_timestamp |
yyyy-MM-ddTHH:mm:ss.SSS(으)로 파싱됨 |
timestamp |
metadata.event_timestamp |
yyyyMMddHHmmss로 파싱됨 |
ts_date |
metadata.event_timestamp |
yyyy-MM-dd HH:mm:ss.SSSZ로 파싱됨 |
csv_format |
metadata.event_type |
매핑됨: false → USER_LOGIN, false → USER_LOGOUT, false → `USER_RESOURCE_UPDATE_CON… |
event_id |
metadata.event_type |
매핑됨: Login: Success → USER_LOGIN, Logout → USER_LOGOUT |
event_type |
metadata.event_type |
직접 매핑됨 |
label |
metadata.ingestion_labels |
병합됨 |
resource_name |
metadata.ingestion_labels |
매핑됨: `"ReportEvent","SessionHijackingEventStore","BulkApiResultEventStore","CredentialStu… |
attrs.cat |
metadata.product_event_type |
이름이 변경됨/매핑됨 |
eventType.id |
metadata.product_event_type |
직접 매핑됨 |
event_id |
metadata.product_event_type |
직접 매핑됨 |
event_identifier |
metadata.product_log_id |
직접 매핑됨 |
id |
metadata.product_log_id |
직접 매핑됨 |
protocol |
network.application_protocol |
직접 매핑됨 |
transaction_id |
network.dhcp.transaction_id |
직접 매핑됨 |
referral_url |
network.http.referral_url |
직접 매핑됨 |
request_status |
network.http.response_code |
직접 매핑됨 |
attrs.Application |
principal.application |
이름 변경/매핑됨 |
enterpriseId |
principal.group.product_object_id |
직접 매핑됨 |
attrs.src |
principal.ip |
병합됨 |
csv_format |
principal.ip |
매핑됨: false → attrs.src |
event_id |
principal.ip |
매핑됨: Login: Success → attrs.src |
Status_LK |
principal.labels |
병합됨 |
Status_LK |
principal.resource.attribute.labels |
병합됨 |
browser_name |
principal.resource.name |
직접 매핑됨 |
memberId |
principal.resource.product_object_id |
직접 매핑됨 |
principal_resource_type |
principal.resource.type |
직접 매핑됨 |
attrs.usrName |
principal.user.email_addresses |
병합됨 |
csv_format |
principal.user.email_addresses |
매핑됨: false → attrs.usrName |
src_email |
principal.user.email_addresses |
병합됨 |
attrs.USER_ID_DERIVED |
principal.user.product_object_id |
이름 변경/매핑됨 |
employee.employeeName |
principal.user.user_display_name |
직접 매핑됨 |
user_display_name |
principal.user.user_display_name |
직접 매핑됨 |
attrs.usrName |
principal.user.userid |
직접 매핑됨 |
employee.userName |
principal.user.userid |
직접 매핑됨 |
login_key |
principal.user.userid |
직접 매핑됨 |
user_id |
principal.user.userid |
직접 매핑됨 |
csv_format |
security_result |
매핑됨: false → sec_result |
event_id |
security_result |
매핑됨: Login: Success → sec_result |
sec_result |
security_result |
병합됨 |
sr |
security_result |
병합됨 |
action |
security_result.action |
병합됨 |
eventSource.name |
src.resource.name |
직접 매핑됨 |
eventSource.id |
src.resource.product_object_id |
직접 매핑됨 |
organization_id |
target.administrative_domain |
직접 매핑됨 |
target_hostname |
target.asset.hostname |
직접 매핑됨 |
device_id |
target.asset_id |
직접 매핑됨 |
target_hostname |
target.hostname |
직접 매핑됨 |
call_time |
target.resource.attribute.labels |
병합됨 |
cpu |
target.resource.attribute.labels |
병합됨 |
db_cpu |
target.resource.attribute.labels |
병합됨 |
db_type |
target.resource.attribute.labels |
병합됨 |
duration_time |
target.resource.attribute.labels |
병합됨 |
entry_p |
target.resource.attribute.labels |
병합됨 |
exe_time |
target.resource.attribute.labels |
병합됨 |
no_sql_que |
target.resource.attribute.labels |
병합됨 |
ope |
target.resource.attribute.labels |
병합됨 |
rows_proc |
target.resource.attribute.labels |
병합됨 |
run |
target.resource.attribute.labels |
병합됨 |
ses_level |
target.resource.attribute.labels |
병합됨 |
ss_type |
target.resource.attribute.labels |
병합됨 |
total_time |
target.resource.attribute.labels |
병합됨 |
user_ty |
target.resource.attribute.labels |
병합됨 |
verify_method |
target.resource.attribute.labels |
병합됨 |
attrs.AccountId |
target.resource.id |
이름이 변경됨/매핑됨 |
attrs.CaseId |
target.resource.id |
이름 변경/매핑됨 |
attrs.ContactId |
target.resource.id |
이름 변경/매핑됨 |
eventSource.id |
target.resource.id |
직접 매핑됨 |
request_id |
target.resource.id |
직접 매핑됨 |
eventSource.name |
target.resource.name |
직접 매핑됨 |
object.name |
target.resource.name |
직접 매핑됨 |
resource_name |
target.resource.name |
직접 매핑됨 |
object.id |
target.resource.product_object_id |
직접 매핑됨 |
event_id |
target.resource.resource_type |
매핑됨: PlatformEncryption → ACCESS_POLICY, ApexCallout → ACCESS_POLICY, `ApexTrigge… |
target_resource_type |
target.resource.resource_type |
직접 매핑됨 |
event_id |
target.resource.type |
매핑됨: (QueuedExecution/ApexExecution) → BATCH, ApexTrigger → DATABASE_TRIGGER, `Co… |
attrs.LoginUrl |
target.url |
이름이 변경됨/매핑됨 |
attrs.attributes.url |
target.url |
이름 변경/매핑됨 |
uri |
target.url |
직접 매핑됨 |
attrs.usrName |
target.user.email_addresses |
병합됨 |
csv_format |
target.user.email_addresses |
매핑됨: false → attrs.usrName |
event_id |
target.user.email_addresses |
매핑됨: Logout → attrs.usrName |
target_user_display_name |
target.user.user_display_name |
직접 매핑됨 |
target_user_name |
target.user.userid |
직접 매핑됨 |
| 해당 사항 없음 | extensions.auth.auth_details |
상수: ACTIVE |
| 해당 사항 없음 | extensions.auth.type |
상수: SSO |
| 해당 사항 없음 | metadata.event_type |
상수: GENERIC_EVENT |
| 해당 사항 없음 | metadata.product_name |
상수: SALESFORCE |
| 해당 사항 없음 | metadata.vendor_name |
상수: SALESFORCE |
| 해당 사항 없음 | target.resource.resource_type |
상수: ACCESS_POLICY |
| 해당 사항 없음 | target.resource.type |
상수: BATCH |
변경 로그
도움이 더 필요하신가요? 커뮤니티 회원 및 Google SecOps 전문가에게 문의하여 답변을 받으세요.